For the complete documentation index, see llms.txt. This page is also available as Markdown.

Delete repository

Delete all repository contents

	The registry V2 API allows manifests and blobs to be deleted individually but it is not possible to remove an entire repository.
	This operation is provided for convenience
delete
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication

Path parameters
registryIdstring · uuidRequired

The unique ID of the registry

Pattern: ^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$
repositoryNamestringRequired

The name of the repository

Example: my-servicePattern: ^[a-z0-9]+(?:[._-][a-z0-9]+)*$
Responses
204

No Content

No content

delete/registries/{registryId}/repositories/{repositoryName}
DELETE /containerregistries/registries/{registryId}/repositories/{repositoryName} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Accept: */*
204

No Content

No content

Last updated

Was this helpful?